summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jeff Parent2020-09-10 00:58:30 +0200
committer Dave Woodfall2020-09-10 00:58:30 +0200
commitd1c01de1cd0906a443a4dafd9cabf7171ed5924e (patch)
tree383014bf20f57a632fa90953fff4d8f14060d5ef
parentc9272c64a6b409740fd5c0f5b496f00f1874f9c3 (diff)
downloadslackbuilds-d1c01de1cd0906a443a4dafd9cabf7171ed5924e.tar.gz
development/redo: Added (a recursive build system)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org>
-rw-r--r--development/redo/README8
-rw-r--r--development/redo/redo.SlackBuild74
-rw-r--r--development/redo/redo.info10
-rw-r--r--development/redo/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/development/redo/README b/development/redo/README
new file mode 100644
index 0000000000..2c84e9d306
--- /dev/null
+++ b/development/redo/README
@@ -0,0 +1,8 @@
+redo - a recursive, general-purpose build system
+
+redo is a competitor to the long-lived, but sadly imperfect make
+program. Unlike other such competitors, redo captures the essential
+simplicity and flexibility of make, while avoiding its flaws. It manages
+to do this while being simultaneously simpler than make, more flexible
+than make, and more powerful than make, without sacrificing performance
+- a rare combination of features.
diff --git a/development/redo/redo.SlackBuild b/development/redo/redo.SlackBuild
new file mode 100644
index 0000000000..8dbc926e1e
--- /dev/null
+++ b/development/redo/redo.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for redo
+
+# Copyright 2019 Jeff Parent <jeff+SBo@sh0.xyz>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=redo
+VERSION=${VERSION:-0.42c}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$PRGNAM-$VERSION
+
+DESTDIR=$PKG \
+PREFIX=/usr \
+MANDIR=$PKG/usr/man \
+DOCDIR=$PKG/usr/doc \
+ ./do install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/redo/redo.info b/development/redo/redo.info
new file mode 100644
index 0000000000..548e345cef
--- /dev/null
+++ b/development/redo/redo.info
@@ -0,0 +1,10 @@
+PRGNAM="redo"
+VERSION="0.42c"
+HOMEPAGE="https://redo.readthedocs.io"
+DOWNLOAD="https://github.com/apenwarr/redo/archive/redo-0.42c.tar.gz"
+MD5SUM="8f46244d6e2760c089c8efac521f639a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="Markdown BeautifulSoup"
+MAINTAINER="Jeff Parent"
+EMAIL="jeff+SBo@sh0.xyz"
diff --git a/development/redo/slack-desc b/development/redo/slack-desc
new file mode 100644
index 0000000000..2c0f39c0ca
--- /dev/null
+++ b/development/redo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+redo: redo (a recursive build system)
+redo:
+redo: redo is a competitor to the long-lived, but sadly imperfect make
+redo: program. Unlike other such competitors, redo captures the essential
+redo: simplicity and flexibility of make, while avoiding its flaws. It
+redo: manages to do this while being simultaneously simpler than make, more
+redo: flexible than make, and more powerful than make, without sacrificing
+redo: performance, a rare combination of features.
+redo:
+redo: https://redo.readthedocs.io
+redo: